1. Leaves
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
      • Retrieve all Employees
      • Retrieve all Employees (V1.1)
      • Create an Employee
      • Upsert Employees in Bulk
      • Update an Employee by Personal ID
      • Update an Employee by Payflow ID
      • Update an Employee by Payroll ID
    • Leaves
      • Retrieve all Employees on Leave
        GET
      • Create an Employee Leave
        POST
      • Remove an Employee Leave
        DELETE
    • Payments
      • Retrieve a Payment
      • Retrieve all Payments
      • Retrieve Employee Payments
      • Calculate Employee Available Amount
      • Request a Payment
      • Subscribe to Payment Updates
      • Mark Payments as Informed
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Leaves

Retrieve all Employees on Leave

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/employees/leaves
Retrieves all employees currently marked with the on_leave status.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/employees/leaves' \
--header 'authorization: <api-key>'
Response Response Example
{
    "data": [
        {
            "id": 1,
            "payrollId": "Emp01",
            "firstName": "John",
            "lastName": "Doe",
            "documentType": null,
            "personalId": "12345678A",
            "bankAccountNumber": null,
            "bankAccountType": null,
            "iban": "ES0000000000000000000000",
            "bic_swift": null,
            "bankEntity": null,
            "grossSalary": null,
            "netSalary": 1500,
            "paymentFrequency": "monthly",
            "availableAmount": 0,
            "restrictedAmount": 0,
            "startDate": "2020-06-30",
            "contractEnd": null,
            "email": "john.doe@payflow.es",
            "address": "Employee Adress",
            "phone": null,
            "status": "on_leave",
            "subsidiary": 1,
            "subsidiaryTaxId": "A00000000",
            "subsidiaryCode": "01",
            "active": false,
            "counter": 0,
            "agreedTyC": true,
            "lastLearnflowUse": null
        }
    ]
}
Modified at 2026-06-24 15:10:55
Previous
Update an Employee by Payroll ID
Next
Create an Employee Leave
Built with